Bug 72072 - text not rendered fully (cut off) when editing 90deg rotated rectangle
Summary: text not rendered fully (cut off) when editing 90deg rotated rectangle
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: Other All
: highest normal
Assignee: Not Assigned
URL:
Whiteboard: Confirmed:4.2.0.0.beta2:Ubuntu
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Shapes
  Show dependency treegraph
 
Reported: 2013-11-27 14:36 UTC by ralf.krapf
Modified: 2019-04-04 09:21 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Picture of the bug in Writer and Draw (112.32 KB, image/png)
2013-11-27 14:36 UTC, ralf.krapf
Details
Picture of the bug in Writer and Draw (112.32 KB, image/png)
2013-11-27 14:37 UTC, ralf.krapf
Details
Bug-confirmed-on-Ubuntu-13-04.png (119.26 KB, image/png)
2013-11-27 23:54 UTC, Gerry
Details
testfile. just double click on the rectangle (10.20 KB, application/vnd.oasis.opendocument.text)
2015-07-05 09:07 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ralf.krapf 2013-11-27 14:36:15 UTC
Created attachment 89900 [details]
Picture of the bug in Writer and Draw

Hi

Steps to reproduce:
1)
- Draw a rectangle and fill some Text in it (The error is in Writer and Draw)
2)
- Turn the rectangle by 90 deg
3)
- Edit the Text -> the Text disapear partwise (see Picture)
4)
- Resize the brogramm window a bit -> the Text will appear as expected

System:
-Windows 7
-Libreoffice 4.2.0.0 beta
and 
-LibreOffice 4.1.3

Thanks
Ralf
Comment 1 ralf.krapf 2013-11-27 14:37:11 UTC
Created attachment 89901 [details]
Picture of the bug in Writer and Draw
Comment 2 Gerry 2013-11-27 23:54:42 UTC
Created attachment 89926 [details]
Bug-confirmed-on-Ubuntu-13-04.png

Tested this bug on Ubuntu 13.04 with LO 4.2Beta1. I can confirm this bug. Please see attached screenshot.
Comment 3 Robinson Tryon (qubit) 2013-12-06 23:04:33 UTC
CONFIRMED on LO 4.2.0.0.beta2 + Ubuntu 12.04.3

(In reply to comment #0)
> Steps to reproduce:

0) Open LibreOffice writer

> 1)
> - Draw a rectangle and fill some Text in it (The error is in Writer and Draw)

(Hint: double-click on the rectangle to add text)

> 2)
> - Turn the rectangle by 90 deg

a) Right-click -> Position and Size -> Rotation
b) Change 'Rotation angle' to 90deg.
c) Click "OK"


> 3)
> - Edit the Text -> the Text disapear partwise (see Picture)

a) Double-click on rectangle
b) Add text that is wider than the dimensions of the text box
c) Hit 'Return' to save

While editing the text I'd often get a white bg behind the text area. I could always repro the problem if I
- did all of the steps above
- Then double-clicked on the text again

Basically: The text needs to be wider than the width of the rectangle at the time when you double-click on it.

> 4)
> - Resize the brogramm window a bit -> the Text will appear as expected
> 

Ayup


Question: is this a regression?
Comment 4 ralf.krapf 2013-12-07 07:23:57 UTC
I think it is a regression.
It worked without problems here on LO 4.0.6.2 / Win7.
Comment 5 Michael Stahl (CIB) 2014-01-15 13:45:38 UTC
Writer bug:

a40afb3f534ea1c655ac728e55a7e4b96b033869..2f4eeea1730e2931249471eddc203b13a6ac4ed4

regression from:

commit a2c67975c03010b90c706523293f180c1f29e229
Author:     Michael Stahl <mstahl@redhat.com>
AuthorDate: Wed Aug 28 14:28:40 2013 +0200

    fdo#67358: sw: "fix" line painting artifacts when resizing columns
    
    SwEditWin::MouseButtonDown(): for unknown reasons invalidating the
    window here causes the column resizing lines to not be removed after the
    resize is done, so disable it.

... oh noes.

the Draw bug actually has a different cause, the above commit only affects Writer.
Comment 6 Michael Stahl (CIB) 2014-01-15 16:22:46 UTC
have filed bug 73668 about the Draw problem - which may or may not have the same root cause.

regression in 4.1.2 release.
Comment 7 Björn Michaelsen 2014-01-17 09:40:31 UTC Comment hidden (obsolete)
Comment 8 tommy27 2014-10-05 19:16:22 UTC
I'm not reproducing this bug with 4.3.2.2
can anyone retest to see if it's really fixed?
Comment 9 Björn Michaelsen 2014-10-16 14:59:16 UTC Comment hidden (obsolete)
Comment 10 tommy27 2014-12-08 09:45:06 UTC
gotcha!!! the bug depends on the size of the LibO window while you edit.

I'm not able to reproduce it when LibO is in full window state, however if I modify the window size while editing I see the partial disappearance of the text.

so still present in 4.3.4.1 and 4.5.0.0 alpha
mopving to mab4.3 list since 4.2.x is END OF LIFE
Comment 11 tommy27 2015-07-05 09:07:37 UTC
Created attachment 117053 [details]
testfile. just double click on the rectangle

still reproducible under Win8.1 x64 using LibO 4.4.3.2 and 5.1.0.0.alpha1+ (x64)
Build ID: 67afab2a7cd5596d321bb85e6e2624df19c2296b
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-07-04_22:51:13
Locale: en-US (it_IT)

uplaoded simple test case to make easier and faster to reproduce the issue
Comment 12 Robinson Tryon (qubit) 2015-12-14 05:21:20 UTC Comment hidden (obsolete)
Comment 13 Xisco Faulí 2016-09-26 15:21:18 UTC
Adding Cc: to Michael Stahl
Comment 14 Regina Henschel 2018-05-26 12:59:10 UTC
No problem in Version: 6.2.0.0.alpha0+ (x64)
Build ID: f7f2d03bd6f5aa5dcd0f7976b4a7f2db278c2f03
CPU threads: 8; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-05-25_05:00:28
Locale: de-DE (de_DE); Calc: CL

I see no dependency to window size. I have tested while OpenGL was disabled.
Comment 15 Thorsten Behrens (CIB) 2019-04-04 09:21:18 UTC
Appears fixed meanwhile, as Regina mentioned (tested in 6.1.3, Linux).